Package be.ehealth.technicalconnector.ws.impl

# Class SOAPMessageContextImpl

java.lang.Object
java.util.AbstractMap<String,Object>
java.util.HashMap<String,Object>
be.ehealth.technicalconnector.ws.impl.SOAPMessageContextImpl

All Implemented Interfaces:
  `jakarta.xml.ws.handler.MessageContext`, `jakarta.xml.ws.handler.soap.SOAPMessageContext`, `Serializable`, `Cloneable`, `Map<String,Object>`

public final class SOAPMessageContextImpl extends HashMap<String,Object> implements jakarta.xml.ws.handler.soap.SOAPMessageContext
The Class SOAPMessageContextImpl.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

  ## Nested classes/interfaces inherited from interface jakarta.xml.ws.handler.MessageContext

  `jakarta.xml.ws.handler.MessageContext.Scope`

- ## Field Summary

  ### Fields inherited from interface jakarta.xml.ws.handler.MessageContext

  `HTTP_REQUEST_HEADERS, HTTP_REQUEST_METHOD, HTTP_RESPONSE_CODE, HTTP_RESPONSE_HEADERS, INBOUND_MESSAGE_ATTACHMENTS, MESSAGE_OUTBOUND_PROPERTY, OUTBOUND_MESSAGE_ATTACHMENTS, PATH_INFO, QUERY_STRING, REFERENCE_PARAMETERS, SERVLET_CONTEXT, SERVLET_REQUEST, SERVLET_RESPONSE, WSDL_DESCRIPTION, WSDL_INTERFACE, WSDL_OPERATION, WSDL_PORT, WSDL_SERVICE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SOAPMessageContextImpl(jakarta.xml.soap.SOAPMessage soapMessage)`
  Instantiates a new SOAP message context impl.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object[]`
  `getHeaders(QName paramQName, jakarta.xml.bind.JAXBContext paramJAXBContext, boolean paramBoolean)`
  `jakarta.xml.soap.SOAPMessage`
  `getMessage()`
  `Set<String>`
  `getRoles()`
  `jakarta.xml.ws.handler.MessageContext.Scope`
  `getScope(String paramString)`
  `void`
  `setMessage(jakarta.xml.soap.SOAPMessage paramSOAPMessage)`
  `void`
  `setScope(String paramString, jakarta.xml.ws.handler.MessageContext.Scope paramScope)`

  ### Methods inherited from class java.util.HashMap

  `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, newHashMap, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

- ## Constructor Details

  - ### SOAPMessageContextImpl

    public SOAPMessageContextImpl(jakarta.xml.soap.SOAPMessage soapMessage)
    Instantiates a new SOAP message context impl.
    Parameters:
      `soapMessage` - the soap message

- ## Method Details

  - ### getMessage

    public jakarta.xml.soap.SOAPMessage getMessage()
    Specified by:
      `getMessage` in interface `jakarta.xml.ws.handler.soap.SOAPMessageContext`

  - ### setMessage

    public void setMessage(jakarta.xml.soap.SOAPMessage paramSOAPMessage)
    Specified by:
      `setMessage` in interface `jakarta.xml.ws.handler.soap.SOAPMessageContext`

  - ### setScope

    public void setScope(String paramString, jakarta.xml.ws.handler.MessageContext.Scope paramScope)
    Specified by:
      `setScope` in interface `jakarta.xml.ws.handler.MessageContext`

  - ### getScope

    public jakarta.xml.ws.handler.MessageContext.Scope getScope(String paramString)
    Specified by:
      `getScope` in interface `jakarta.xml.ws.handler.MessageContext`

  - ### getHeaders

    public Object[] getHeaders(QName paramQName, jakarta.xml.bind.JAXBContext paramJAXBContext, boolean paramBoolean)
    Specified by:
      `getHeaders` in interface `jakarta.xml.ws.handler.soap.SOAPMessageContext`

  - ### getRoles

    public Set<String> getRoles()
    Specified by:
      `getRoles` in interface `jakarta.xml.ws.handler.soap.SOAPMessageContext`